﻿/* Bootstrap Validation Summary Override */
/* Bootstrap Validation Summary Override */
.validation-summary-valid {
    display: none;
}

.validation-summary-errors ul {
    margin-bottom: 0;
    padding-left: 1rem;
}

.alert.validation-summary-errors {
    margin-bottom: 1rem;
}

.col-0 {
    -webkit-box-flex: 0;
    -ms-flex: 0 0 4.166665%;
    flex: 0 0 4.166665%;
    max-width: 4.166665%;
    width: 4.166665%;
}

.col-1 {
    -webkit-box-flex: 0;
    -ms-flex: 0 0 8.33333%;
    flex: 0 0 8.33333%;
    max-width: 8.33333%;
    width: 8.33333%;
}

.col-2 {
    -webkit-box-flex: 0;
    -ms-flex: 0 0 16.66666%;
    flex: 0 0 16.66666%;
    max-width: 16.66666%;
    width: 16.66666%;
}

.dataTables_empty {
    font-size: 1.5rem !important;
}

/* Reference classes, no implementation */
.base,
.needs-validation,
.flex-start,
.text-faded,
.app-container-demo,
.lang-js,
.lang-csharp,
.has-tooltip,
.has-popover {
}

/* Keeps analyzers happy */
.js-waves-off,
.js-waves-on,
.js-get-date,
.js-collapse,
.js-modal-settings,
.js-filter-message,
.js-buttons,
.js-icon-class,
.js-icon-copy,
.js-bg-color,
.js-bg-gradient,
.js-bg-gradient-demo,
.js-bg-target {
}

/* Small word wrap correction */
section > ol > li {
    word-break: break-all;
}

code {
    border: 1px solid silver;
    padding: 0.03rem 0.2rem !important;
}

pre.prettyprint {
    border-radius: 0.2rem;
    padding-left: 0.4rem !important;
    padding-right: 0.4rem !important;
}

.documentation h2 {
    color: var(--primary);
}

.documentation th:first-child,
.documentation th:nth-child(3) {
    width: 16%;
}

.documentation blockquote {
    margin-left: 1rem;
    padding: 1rem 1rem 0.01rem 1rem;
    font-weight: 400;
    border-radius: 0 4px 4px 0;
    background: #edf2f9;
    border-left: 3px solid var(--primary);
}

    .documentation blockquote.info {
        background: #edf2f9;
        border-left: 3px solid var(--info);
    }

    .documentation blockquote.warning {
        background: #fff4db;
        border-left: 3px solid var(--warning);
    }

    .documentation blockquote.danger {
        background: #fadeeb;
        border-left: 3px solid var(--danger);
    }


.nav-function-minify:not(.nav-function-top) .page-sidebar .primary-nav .nav-menu > li > a > .nav-link-text {
    display: none;
    position: absolute;
    text-align: left;
    background: trasparent;
    padding-left: 1.375rem;
    color: #777777;
    top: 0;
    left: 5.6875rem;
    height: 100%;
    width: 13.75rem;
    font-weight: 500;
    margin-top: -1.563rem;
}

/* Enter custom CSS rules for your application here */
.modal-header {
    border-bottom: 1px solid #dee2e6 !important;
    background-color: rgb(136, 136, 136);
    color: #fff;
}
.modal-header-dark {
    border-bottom: 1px solid #dee2e6 !important;
    background-color: none !important;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: start;
    -ms-flex-align: start;
    align-items: flex-start;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
    padding: 1.25rem 1.25rem;
    border-bottom: 0px solid #dee2e6;
    border-top-left-radius: 3px;
    border-top-right-radius: 3px;
}
.close {
    color: #fff;
}
    element .style {
}

table.table-bordered.dataTable th:last-child, table.table-bordered.dataTable th:last-child, table.table-bordered.dataTable td:last-child, table.table-bordered.dataTable td:last-child {
    border-right-width: 1px;
}

.mod-skin-dark:not(.mod-skin-light) .table, .mod-skin-dark:not(.mod-skin-light) .table-bordered th, .mod-skin-dark:not(.mod-skin-light) .table-bordered td, .mod-skin-dark:not(.mod-skin-light) .table thead th, .mod-skin-dark:not(.mod-skin-light) .table th, .mod-skin-dark:not(.mod-skin-light) .table td {
    border-color: rgba(255, 255, 255, 0.25);
    background: #26272b;
}

table.table-bordered.dataTable tbody th, table.table-bordered.dataTable tbody td {
    border-bottom-width: 0;
}

table.table-bordered.dataTable th, table.table-bordered.dataTable td {
    border-left-width: 0;
}

table.dataTable td.dataTables_empty, table.dataTable th.dataTables_empty {
    text-align: center;
}

table.dataTable td, table.dataTable th {
    -webkit-box-sizing: content-box;
    box-sizing: content-box;
}

.table-bordered th, .table-bordered td {
    border: 1px solid #e9e9e9;
}

.table th, .table td {
    padding: 0.75rem;
    vertical-align: top;
    border-top: 1px solid #e9e9e9;
}

.dataTables_empty {
    color: #c8c8c8 !important;
}

.odd .sorting_1 {
    background-color: transparent !important;
}

.sorting_asc, .sorting_desc, .even .sorting_1 {
    background-color: transparent !important;
}

.bootbox .modal-header {
    background-color: transparent !important;
    border-bottom:none !important;
}

.select2-container--default .select2-results__option--highlighted[aria-selected] {
    background-color: #2ea1ba !important;
    color: #fff;
}
.select2-container--default .select2-results__option[aria-selected=true] {
    background: #efebf5;
    color: #bbbbbb !important;
}

.select2-search--dropdown:before {
    content: "\f002";
    font-family: 'Font Awesome 5 Pro';
    position: absolute;
    left: calc(1rem + 0.875rem);
    top: calc(0.6rem + 0.875rem);
    color: #2ea1ba !important;
}
.select2-container--open .select2-dropdown--below {
    -webkit-box-shadow: 0px 3px 8px 0px rgb(90 80 105 / 10%);
    box-shadow: 0px 3px 8px 0px rgb(90 80 105 / 10%);
    border-color: #2ea1ba !important;
}

.select2-container--open .select2-dropdown--above {
    -webkit-box-shadow: 0px 3px 8px 0px rgb(90 80 105 / 10%);
    box-shadow: 0px 3px 8px 0px rgb(90 80 105 / 10%);
    border-color: #2ea1ba !important;
}

.select2-container--default.select2-container--open.select2-container--below .select2-selection--single, .select2-container--default.select2-container--open.select2-container--below .select2-selection--multiple, .select2-container--default.select2-container--open.select2-container--above .select2-selection--single, .select2-container--default.select2-container--open.select2-container--above .select2-selection--multiple {
    position: relative;
    z-index: 1151;
    border-color: #2ea1ba !important;
}

.select2-container--default.select2-container--focus .select2-selection--single, .select2-container--default.select2-container--focus .select2-selection--multiple {
    border-color: #2ea1ba !important;
}
.select2-container--default .select2-selection--multiple .select2-selection__choice {
    margin: 5px 3px;
    display: -webkit-inline-box;
    display: -ms-inline-flexbox;
    display: inline-flex;
    padding-right: 0;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    background: rgb(46,161,186,0.4) !important;
    border-color: #2ea1ba !important;
    color: #2ea1ba !important;
}
    .select2-container--default .select2-selection--multiple .select2-selection__choice .select2-selection__choice__remove {
        margin: 0;
        padding-left: 7px;
        padding-right: 7px;
        -webkit-box-ordinal-group: 2;
        -ms-flex-order: 1;
        order: 1;
        font-size: 16px;
        border-left: 1px solid rgba(0, 0, 0, 0.1);
        margin-left: 5px;
        color: #2ea1ba !important;
    }

.select2-container--default .select2-results__option[aria-selected=true] {
    background: rgb(46,161,186,0.4) !important;
    color: #626262 !important;
}

.notification li.unread {
    background: #fff !important;
}

.hideMobile {
  
}

@media only screen and (max-width: 440px) {
    .width-lg {
        min-width: 10rem !important;
    }
    .dataTables_info {
        display:none !important;
    }
}
@media only screen and (max-width: 768px) {
    .dataTables_length {
        display: none !important;
    }
    .hideMobile {
        display:none !important;
    }
}

div::-webkit-scrollbar {
    width: 7px;
    height: 7px;
}

div::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
}

div::-webkit-scrollbar-thumb {
    background-color: grey;
    outline: 1px solid slategrey;
}

div::-webkit-scrollbar:vertical {
    display: none;
}

table.dataTable.dtr-inline.collapsed > tbody > tr[role="row"] > td:first-child:before,
table.dataTable.dtr-inline.collapsed > tbody > tr[role="row"] > th:first-child:before,
table.dataTable.dtr-column > tbody > tr > td.control:before,
table.dataTable.dtr-column > tbody > tr > th.control:before {
    background-color: #a4a4a480 !important;
}



table.dataTable.dtr-inline.collapsed > tbody > tr.parent > td:first-child:before,
table.dataTable.dtr-inline.collapsed > tbody > tr.parent > th:first-child:before,
table.dataTable.dtr-column > tbody > tr.parent td.control:before,
table.dataTable.dtr-column > tbody > tr.parent th.control:before {
    color: #a4a4a480 !important;
}

table.dataTable > tbody > tr > td {
    vertical-align:middle !important;
}

.dataTables_wrapper tr.child td.child .dtr-details:before {
    color: #a4a4a480 !important;
}



.dataTables_wrapper tr.child td.child .dtr-details:after {
    color: #a4a4a450 !important;
}
.dataTables_wrapper tr.child td.child .dtr-details:after {
    content: "";
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    width: 1rem;
    background: #2ea1ba !important;
}



.header-icon:not(.btn)[data-toggle="dropdown"][aria-expanded="true"] > [class*='fa-']:first-child, .header-icon:not(.btn)[data-toggle="dropdown"][aria-expanded="true"] > .ni:first-child {
    color: #fff !important;
}

.align-center {
    text-align:center !important;
}

.select2-dropdown--below {
    z-index: 3500 !important;
}

.page-logo img {
    width: 150px !important;
    height: auto !important;
    margin-left: 25px;
}

.minimized-logo {
    display: none;
}

.nav-function-minify .minimized-logo {
    display: inline;
}

.nav-function-minify .main-logo {
    display: none;
}


.data-merge-table input[type="radio"] + .custom-control-label {
    color: #2ea1ba;
}

.data-merge-table input[type="radio"]:checked + .custom-control-label {
    color: #889e07;
}

.tooltip {
    padding-top: 0 !important;
    border-radius: 6px !important;
}

.daterangepicker td.start-date {
    background-color: #889e07 !important;
    color: #fff;
}

.daterangepicker td.end-date {
    background-color: #889e07 !important;
    color: #fff;
}

.in-range.available {
    background-color: #d3d3d3 !important;
}

.daterangepicker td.available:hover,
.daterangepicker th.available:hover {
    background-color: #e9e9e9 !important;
}


.page-header{
   z-index: 2000 !important;
}
